package com.dev.swms.server.model.fee;
import com.dev.energy.server.model.Entity;
public class FeeType extends Entity{

	private String code;
	private String name;
	private String type;
	private boolean disabled;
	private String description;
	
	/***税点*/
	private int taxRate;
	//是否代垫
	private boolean beAdvance=false;
	
	public boolean isBeAdvance() {
		return beAdvance;
	}
	public void setBeAdvance(boolean beAdvance) {
		this.beAdvance = beAdvance;
	}
	public int getTaxRate() {
		return taxRate;
	}
	public void setTaxRate(int taxRate) {
		this.taxRate = taxRate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
}
